For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
              • GETList Redirects
              • POSTCreate Redirect
              • DELDelete All Redirects
              • GETGet Redirect
              • PUTUpdate Redirect
              • DELDelete Redirect
              • GETGet Count of Redirects
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentStore ContentRedirects

Get Count of Redirects

Deprecated
GET
https://api.bigcommerce.com/stores/:store_hash/v2/redirects/count
GET
/stores/:store_hash/v2/redirects/count
$curl https://api.bigcommerce.com/stores/store_hash/v2/redirects/count \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Response
1{
2 "count": 27
3}
Gets a count of *Redirect URLs* in a store. > #### Warning > **Deprecated** > * This API operation is deprecated. Avoid using this API operation if possible. It will be removed in a future version. > * To get a count of redirects, use the `meta` object data returned with the Redirects V3ʼs [Get redirects](/developer/api-reference/rest/admin/management/redirects/get-redirects) endpoint.
Was this page helpful?
Previous

Delete Redirect

Next

Upsert Redirects

Built with

Gets a count of Redirect URLs in a store.

Warning

Deprecated

  • This API operation is deprecated. Avoid using this API operation if possible. It will be removed in a future version.
  • To get a count of redirects, use the meta object data returned with the Redirects V3ʼs Get redirects endpoint.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

countdouble